org.springframework.mock.web.portlet

## Class MockEventRequest

- java.lang.Object
- - org.springframework.mock.web.portlet.MockPortletRequest
  - - org.springframework.mock.web.portlet.MockEventRequest

- All Implemented Interfaces:
    EventRequest, PortletRequest

      public class MockEventRequest
      extends MockPortletRequest
      implements EventRequest

  Mock implementation of the `EventRequest` interface.
  Since:
    3.0
  Author:
    Juergen Hoeller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

      `PortletRequest.P3PUserInfos`

  - ### Field Summary

    - ### Fields inherited from interface javax.portlet.PortletRequest

      `ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockEventRequest(Event event)` Create a new MockEventRequest with a default `MockPortalContext` and a default `MockPortletContext`.
    `MockEventRequest(Event event, PortalContext portalContext, PortletContext portletContext)` Create a new MockEventRequest.
    `MockEventRequest(Event event, PortletContext portletContext)` Create a new MockEventRequest with a default `MockPortalContext`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `getEvent()`
    `protected String` | `getLifecyclePhase()` Return the Portlet 2.0 lifecycle id for the current phase.
    `String` | `getMethod()`
    `void` | `setMethod(String method)`

    - ### Methods inherited from class org.springframework.mock.web.portlet.MockPortletRequest

      `addLocale, addParameter, addParameter, addPreferredLocale, addPreferredResponseContentType, addProperty, addResponseContentType, addUserRole, checkActive, close, getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isActive, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, registerPublicParameter, removeAttribute, setAttribute, setAuthType, setContextPath, setCookies, setParameter, setParameter, setParameters, setPortletMode, setPreferences, setProperty, setRemoteUser, setRequestedSessionIdValid, setScheme, setSecure, setServerName, setServerPort, setSession, setUserPrincipal, setWindowID, setWindowState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.portlet.PortletRequest

      `getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

- - ### Constructor Detail

    - #### MockEventRequest

          public MockEventRequest(Event event)

      Create a new MockEventRequest with a default `MockPortalContext` and a default `MockPortletContext`.
      Parameters:
        `event` - the event that this request wraps
      See Also:
        `MockEvent`

    - #### MockEventRequest

          public MockEventRequest(Event event,
                                  PortletContext portletContext)

      Create a new MockEventRequest with a default `MockPortalContext`.
      Parameters:
        `event` - the event that this request wraps
        `portletContext` - the PortletContext that the request runs in
      See Also:
        `MockEvent`

    - #### MockEventRequest

          public MockEventRequest(Event event,
                                  PortalContext portalContext,
                                  PortletContext portletContext)

      Create a new MockEventRequest.
      Parameters:
        `event` - the event that this request wraps
        `portalContext` - the PortletContext that the request runs in
        `portletContext` - the PortletContext that the request runs in

  - ### Method Detail

    - #### getLifecyclePhase

          protected String getLifecyclePhase()

      Description copied from class: `MockPortletRequest`
      Return the Portlet 2.0 lifecycle id for the current phase.
      Overrides:
        `getLifecyclePhase` in class `MockPortletRequest`

    - #### getEvent

          public Event getEvent()

      Specified by:
        `getEvent` in interface `EventRequest`

    - #### setMethod

          public void setMethod(String method)

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `EventRequest`